package com.bonus.canteen.core.order.custom;

import com.bonus.canteen.core.pay.api.vo.UnifyPaySelectVO;
import com.bonus.canteen.core.pay.common.po.PayResultPO;
import com.bonus.canteen.core.pay.common.po.RefundResultPO;
import org.springframework.stereotype.Service;

@Service
public class OrderCustomResultBusiness {
   public UnifyPaySelectVO willReSyncOrderPayResult(Long orderId) {
      return null;
   }

//   public UnifyRefundSelectVO willReSyncOrderRefundResult(Long orderRefundId) {
//      return null;
//   }

   public boolean willHandleAsyncPayResult(PayResultPO payResultPO) {
      return true;
   }

   public boolean willHandleAsyncRefundResult(RefundResultPO refundResultPO) {
      return true;
   }
}
